SoMFVec4ub(3)

NAME
SoMFVec4ub - The SoMFVec4ub class is a container for SbVec4ub vectors.

SYNOPSIS

#include <Inventor/fields/SoMFVec4ub.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFVec4ub & operator= (const SoMFVec4ub &field)
virtual SbBool isSame (const SoField &field) const
SbVec4ub operator[] (const int idx) const
const SbVec4ub * getValues (const int start) const
int find (SbVec4ub value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbVec4ub *newvals)
void set1Value (const int idx, SbVec4ub value)
void setValue (SbVec4ub value)
SbVec4ub operator= (SbVec4ub val)
SbBool operator== (const SoMFVec4ub &field) const
SbBool operator!= (const SoMFVec4ub &field) const
SbVec4ub * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbVec4ub *userdata)
void setValuesPointer (const int num, SbVec4ub *userdata)
void setValuesPointer (const int num, const uint8_t *userdata)
void setValuesPointer (const int num, uint8_t *userdata)
void setValues (int start, int num, const uint8_t xyzw[][4])
void set1Value (int idx, uint8_t x, uint8_t y, uint8_t z, uint8_t w)
void set1Value (int idx, const uint8_t xyzw[4])
void setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
void setValue (const uint8_t xyzw[4])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbVec4ub * values

  Additional Inherited Members

Detailed Description

The SoMFVec4ub class is a container for SbVec4ub vectors. This field is used where nodes, engines or other field containers need to store an array of vectors with four elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SbVec4ub, SoSFVec4ub Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoMFVec4ub::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFVec4ub::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFVec4ub::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFVec4ub::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFVec4ub::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFVec4ub::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFVec4ub::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbVec4ub * SoMFVec4ub::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFVec4ub::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFVec4ub::setValues (int start, int numarg, const uint8_t xyzw[][4])
Set num vector array elements from xyzw, starting at index start.

  void SoMFVec4ub::set1Value (int idx, uint8_t x, uint8_t y, uint8_t z, uint8_t w)
Set the vector at idx.

  void SoMFVec4ub::set1Value (int idx, const uint8_t xyzw[4])
Set the vector at idx.

  void SoMFVec4ub::setValue (uint8_t x, uint8_t y, uint8_t z, uint8_t w)
Set this field to contain a single vector with the given element values.

  void SoMFVec4ub::setValue (const uint8_t xyzw[4])
Set this field to contain a single vector with the given element values.

Author

Generated automatically by Doxygen for Coin from the source code.